Mailinglist Archive: opensuse-updates (126 mails)

< Previous Next >
openSUSE-SU-2018:0088-1: moderate: Security update for mariadb
openSUSE Security Update: Security update for mariadb
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:0088-1
Rating: moderate
References: #1039034 #1049399 #1049404 #1049417 #1054591
#1072665
Cross-References: CVE-2017-3636 CVE-2017-3641 CVE-2017-3653

Affected Products:
openSUSE Leap 42.3
openSUSE Leap 42.2
______________________________________________________________________________

An update that solves three vulnerabilities and has three
fixes is now available.

Description:

This update for mariadb fixes several issues.

These security issues were fixed:

- CVE-2017-3636: Client programs had an unspecified vulnerability that
could lead to unauthorized access and denial of service (bsc#1049399)
- CVE-2017-3641: DDL unspecified vulnerability could lead to denial of
service (bsc#1049404)
- CVE-2017-3653: DML Unspecified vulnerability could lead to unauthorized
database access (bsc#1049417)

These non-security issues were fixed:

- Add ODBC support for Connect engine (bsc#1039034)
- Relax required version for mariadb-errormessages (bsc#1072665)

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-33=1

- openSUSE Leap 42.2:

zypper in -t patch openSUSE-2018-33=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libmysqlclient-devel-10.0.32-26.1
libmysqlclient18-10.0.32-26.1
libmysqlclient18-debuginfo-10.0.32-26.1
libmysqlclient_r18-10.0.32-26.1
libmysqld-devel-10.0.32-26.1
libmysqld18-10.0.32-26.1
libmysqld18-debuginfo-10.0.32-26.1
mariadb-10.0.32-26.1
mariadb-bench-10.0.32-26.1
mariadb-bench-debuginfo-10.0.32-26.1
mariadb-client-10.0.32-26.1
mariadb-client-debuginfo-10.0.32-26.1
mariadb-debuginfo-10.0.32-26.1
mariadb-debugsource-10.0.32-26.1
mariadb-errormessages-10.0.32-26.1
mariadb-test-10.0.32-26.1
mariadb-test-debuginfo-10.0.32-26.1
mariadb-tools-10.0.32-26.1
mariadb-tools-debuginfo-10.0.32-26.1

- openSUSE Leap 42.3 (x86_64):

libmysqlclient18-32bit-10.0.32-26.1
libmysqlclient18-debuginfo-32bit-10.0.32-26.1
libmysqlclient_r18-32bit-10.0.32-26.1

- openSUSE Leap 42.2 (i586 x86_64):

libmysqlclient-devel-10.0.32-20.10.1
libmysqlclient18-10.0.32-20.10.1
libmysqlclient18-debuginfo-10.0.32-20.10.1
libmysqlclient_r18-10.0.32-20.10.1
libmysqld-devel-10.0.32-20.10.1
libmysqld18-10.0.32-20.10.1
libmysqld18-debuginfo-10.0.32-20.10.1
mariadb-10.0.32-20.10.1
mariadb-bench-10.0.32-20.10.1
mariadb-bench-debuginfo-10.0.32-20.10.1
mariadb-client-10.0.32-20.10.1
mariadb-client-debuginfo-10.0.32-20.10.1
mariadb-debuginfo-10.0.32-20.10.1
mariadb-debugsource-10.0.32-20.10.1
mariadb-errormessages-10.0.32-20.10.1
mariadb-test-10.0.32-20.10.1
mariadb-test-debuginfo-10.0.32-20.10.1
mariadb-tools-10.0.32-20.10.1
mariadb-tools-debuginfo-10.0.32-20.10.1

- openSUSE Leap 42.2 (x86_64):

libmysqlclient18-32bit-10.0.32-20.10.1
libmysqlclient18-debuginfo-32bit-10.0.32-20.10.1
libmysqlclient_r18-32bit-10.0.32-20.10.1


References:

https://www.suse.com/security/cve/CVE-2017-3636.html
https://www.suse.com/security/cve/CVE-2017-3641.html
https://www.suse.com/security/cve/CVE-2017-3653.html
https://bugzilla.suse.com/1039034
https://bugzilla.suse.com/1049399
https://bugzilla.suse.com/1049404
https://bugzilla.suse.com/1049417
https://bugzilla.suse.com/1054591
https://bugzilla.suse.com/1072665


< Previous Next >
This Thread
  • No further messages